import { ApiSignatureParamType, ApiSignatureReturnType } from './types';
/**
 * generateApiSignature
 *  - NCP API Signature Constructor
 *  - external API Doc : https://api.ncloud-docs.com/docs/en/common-ncpapi
 *
 * @param {string} method - NCP API service method
 * @param {string} url - NCP API service url ( include query string )
 * @param {NCPAuthKeyType} ncpAuthKey - NCP Account access key & secret key ( from portal or Sub Account )
 *
 * @return {ApiSignatureReturnType}
 *         Caculated api signature for NCP services
 *         Format : { Current_timestamp, Caculated_signature }
 */
export declare function generateApiSignature({ method, url, ncpAuthKey }: ApiSignatureParamType): ApiSignatureReturnType;
